pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/48934: broken devel/libvolume_id under NetBSD 5.2

The following reply was made to PR pkg/48934; it has been noted by GNATS.

From: "David H. Gutteridge" <>
Subject: Re: pkg/48934: broken devel/libvolume_id under NetBSD 5.2
Date: Tue, 24 Jun 2014 20:00:01 -0400

 On 2014-06-24, at 11:15 AM, Ryo ONODERA wrote:
 > Hi,
 > I feel that defining __POSIX_VISIBLE=200809 for OpenBSD is sufficient.
 > I will commit following patch.
 > With this patch, hal under NetBSD/i386 5.2.2 is built successfully,
 > and libvolume_id under OpenBSD/amd64 5.5 is built too.
 > sysutils/hal is the only consumer of libvolume_id, and I cannot
 > confirm functionality of libvolume_id under OpenBSD.
 That looks totally reasonable to me. OpenBSD releases without
 strnlen(3) are at least three years old, and so EOL and not something
 I'd worry about. (I can't test on OpenBSD either, as I don't use it.)

Home | Main Index | Thread Index | Old Index